import os
os.environ['SDL_VIDEO_WINDOW_POS'] = "100,100"
from typing import TYPE_CHECKING
if TYPE_CHECKING:
    from pgzero.builtins import screen, Actor, keyboard

import pgzrun

# Screen dimensions (Bigger than Scratch!)
WIDTH = 960
HEIGHT = 540


fox = Actor("fox")
rabbit = Actor("rabbit")

def draw():
    screen.clear()
    screen.draw.text("Hello, World!", center=(200, 150))
    fox.draw()
    rabbit.draw()



def on_mouse_move(pos):
    # 'pos' is a tuple (x, y) provided by Pygame Zero
    rabbit.pos = pos

    


pgzrun.go()